CharStreamSourceUtil (Jericho HTML Parser 3.1)
Keywords: net.htmlparser.jericho.CharStreamSourceUtil class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.htmlparser.jericho
Class CharStreamSourceUtil

    java.lang.Object
      CharStreamSourceUtil

    public final class CharStreamSourceUtil

extends java.lang.Object

Contains static utility methods for manipulating the way data is retrieved from a `CharStreamSource` object.

See the documentation of the `CharStreamSource` class for details.

Method Summary
`static java.io.Reader` | `getReader(CharStreamSource charStreamSource)` Returns a `Reader` that reads the output of the specified `CharStreamSource`.
`static java.lang.String` | `toString(CharStreamSource charStreamSource)` Returns the output of the specified `CharStreamSource` as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReader

    public static java.io.Reader getReader(CharStreamSource charStreamSource)

  Returns a `Reader` that reads the output of the specified `CharStreamSource`.

  The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner.

  Parameters:
    `charStreamSource` - the character stream source producing the output.
  Returns:
    a `Reader` that reads the output of the specified `CharStreamSource`.

### toString

    public static java.lang.String toString(CharStreamSource charStreamSource)

  Returns the output of the specified `CharStreamSource` as a string.

  The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner, for example by utilising a temporary file.

  Parameters:
    `charStreamSource` - the character stream source producing the output.
  Returns:
    the output of the specified `CharStreamSource` as a string.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD